import { r as registerInstance, h } from './index-CV0Pyo1O.js';
import { t as text } from './parts-CPKMvyV_.js';

const BankAccountReadOnlyValue = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { key: '5e9a8a093224b9fba7e1bfe06e2fe7f6bd8d7de4' }, h("label", { key: 'a2a061298482f337999184c670be06e8414e41e8', class: "form-label", part: text }, this.label), h("div", { key: 'aad70e49dd889c6276ec0745d7bff8ae2fc6f53a', part: text }, this.value || '')));
    }
};

export { BankAccountReadOnlyValue as bank_account_read_only_value };
